<html ng-app="imageuploadDemo">
    <head>
        <title>imageupload Demo</title>
    </head>
    <body ng-controller="DemoCtrl">
    <form name="contactform">  
        <h2>Single image</h2>
        <div>
            <label for="inputImage">Image</label>
            
            <input id="inputImage" type="file" accept="image/*" image="image" />
            
            <img ng-show="image" ng-src="{{image.url}}" type="{{image.file.type}}"/> 
            <button type="submit" ng-click="single(image)">Add</button>
            <button type="reset">Clear</button>
        </div>
        <hr />




        <h2>Single image with resizing</h2>
        <div>
            <label for="inputImage2">Image 2</label>
            
            <input id="inputImage2" 
                type="file" 
                accept="image/*" 
                image="image2" 
                resize-max-height="300"
                resize-max-width="250"
                resize-quality="0.7" />
            
            <p>Original</p>
            <img ng-show="image2" ng-src="{{image2.url}}" type="{{image2.file.type}}"/>
            <p>Resized</p>
            <img ng-show="image2" ng-src="{{image2.resized.dataURL}}"/>
            <button type="submit" ng-click="single(image2.resized)" disabled>Add</button>
        </div>
        <hr />




        <h2>Multiple images</h2>
        <div>
            <label for="inputImage3">Image 3</label>
            
            <input id="inputImage3" 
                type="file" 
                accept="image/*" 
                multiple
                image="images3" />
            
            <p>Originals</p>
            <img ng-repeat="img in images3" ng-src="{{img.url}}" type="{{img.file.type}}"/>
            <button type="submit" disabled>Add</button>
        </div>
        <hr />




        <h2>Multiple images with resizing</h2>
        <div> 
            <label for="inputImage4">Image 4</label>

            <input id="inputImage4" 
                type="file" 
                accept="image/*" 
                multiple
                image="images4" 
                resize-max-height="300"
                resize-max-width="250"
                resize-quality="0.7" />
            
            <p>Originals</p>
            <img ng-repeat="img in images4" ng-src="{{img.url}}" type="{{img.file.type}}"/>
            <p>Resized</p>
            <img ng-repeat="img in images4" ng-src="{{img.resized.dataURL}}" />
            <button type="submit" disabled>Add</button>
        </div>
        <hr />
    </form>  
    
    <p>Uploaded Image / Size: {{sizeInBytes}} Bytes</p>
    <img ng-src="{{uploadedImgSrc}}" />
        
    <script src="javascripts/angular.min.js" type="text/javascript"></script>
    <script type="text/javascript">
          angular.module('imageuploadDemo', ['imageupload'])
            .controller('DemoCtrl', function($scope, $http) {
                $scope.single = function(image) {
                var formData =  new FormData(); console.log(image);
       		formData.append('image', image);
                    console.log(formData);
                    $http.post('http://localhost:8080/upload', formData, {
                        headers: { 'Content-Type': undefined },
                        transformRequest: angular.identity
                    }).success(function(result) {
                        $scope.uploadedImgSrc = result.src;
                        $scope.sizeInBytes = result.size;
                    });
                };
            });
    </script>
    <script src="javascripts/imageupload.js" type="text/javascript"></script>
    </body>
</html>
